package ru.ifmo.vizi.dmkm.widgets;

import ru.ifmo.vizi.base.widgets.ShapeStyle;
import ru.ifmo.vizi.base.widgets.Ellipse;

import java.awt.*;

public class Circle extends Ellipse {

    /**
     * Radius of the circle.
     */
    private int radius;

    /**
     * Creates a new circle with specified style set and radius.
     * @param styleSet circle style set.
     * @param radius circle radius.
     */
    public Circle(ShapeStyle[] styleSet, int radius) {
        super(styleSet, "");
        setSize(radius * 2, radius * 2);
        this.radius = radius;
    }

    /**
     * Returns minimum shape size to contain message with specified size.
     * @param size message size.
     * @return minimum shape size.
     */
    protected Dimension fit(Dimension size) {
        return new Dimension(
                (int)Math.round(size.width * 1.3),
                (int)Math.round(size.height * 1.3)
        );
    }

}
